-----------------------------------------------------------------------------------------------
-- Package Lua Script for ForDummies addon
-- by Idle
-----------------------------------------------------------------------------------------------
local ForDummiesUpdates = {}
ForDummiesUpdates.List = {}

-----------------------------------------------------------------------------------------------
-- Update functions
-----------------------------------------------------------------------------------------------
-- Retrieve the list of updates
function ForDummiesUpdates:GetList()
	return ForDummiesUpdates.List
end

-----------------------------------------------------------------------------------------------
-- Update versions
-----------------------------------------------------------------------------------------------
-- Version 0.9.3
ForDummiesUpdates.List["0.9.3"] = {
	{text = "Fixed a bug when trying to add a build with a character that had not yet unlocked every slots"},
	{text = "Added Tier token over each ability icon that is at least at tier 1"},
	{text = "Creating a build macro will now popup the CRB macros window or refresh it if already opened"},
	{text = "Changing build name or icon will modify the associated macro reference",
		subs = {
			"The addon can find the associated macro only if you have not changed the macro name",
			"This will reset the macro content",
			"This will however not change the icon of your already binded macros"
		}	
	}
}

-- Version 0.9.4
ForDummiesUpdates.List["0.9.4"] = {
	{text = "Keep addon compatibility with new Apollo API version 9"}
}

-- Version 1.0.0
ForDummiesUpdates.List["1.0.0"] = {
	{text = "The addon has been completely rewrote"},
	{text = "Reworked the addon interface",
		subs = {
			"Removed the general tab, modules have new options in their tab",
			"Should be smoother to use with better refresh, auto-scrolling, etc.",
			"Activate button is now on the top right corner of each build box",
			"Former activate button is now used to modify a build"
		}
	},		
	{text = "Added stance support",
		subs = {"Can also be selected as build icon"}
	},
	{text = "Added update-from-older-version support",
		subs = {
			"Your already saved builds should be converted and compatible with the new system",
			"Your already existing macros should be converted and compatible with the new system"
		}	
	},
	{text = "Added updates window",
		subs = {
			"Will pop up once for each new version at addon loading",
			"Will provide a reload UI option if the update \"requires\" it",
			"Accessible via top left button on main window"
		}
	},
	{text = "Deleting a build will now delete its related macro"},
	{text = "You can now modify an existing build with your current setup",
		subs = {"Will update the macro icon with the new icon under the same selected slot"}
	},
	{text = "Changed the way the command \"/fd\" works",
		subs = {
			"Removed \"/fdbuild\"",
			"Added \"/fd updates\"",
			"Added \"/fd addbuild\"",
			"Added \"/fd build=<Build_Id>\""
		}
	}
}

-- Version 1.1.0
ForDummiesUpdates.List["1.1.0"] = {
	{text = "Added an UI build Swapper tool",
		subs = {
			"You can show or hide it via toggle button",
			"You can make it moveable or not via toggle button",
			"WORK IN PROGERSS.."
		}
	},
	{text = "Builds can now be listed in the new tool",
		subs = {
			"You will find a new check box button",
			"Each build is listed by default"
		}
	}
}



-----------------------------------------------------------------------------------------------
-- Register Library
-----------------------------------------------------------------------------------------------
Apollo.RegisterPackage(ForDummiesUpdates, "ForDummies:Lib:Updates", 1, {})



