-----------------------------------------------------------------------------------------------
-- Package Lua Script for ForDummies addon
-- by Idle
-----------------------------------------------------------------------------------------------
local ForDummiesUtils = {}

local str_SUB_BUILD = "Build_"

-- Check if a string starts with a match argument (with or without case sensitive)
function ForDummiesUtils:StartsWith( strString, strMatch, bRespectCase )
	local strLen = string.len(strMatch)
	-- If not case sensitive then remove any uppercase
	if bRespectCase == false then
		strString = string.lower(strString)
		strMatch = string.lower(strMatch)
	end
	-- Return if matches
	return string.sub(strString, 1, strLen) == strMatch 
end

-- Iterator with sorted keys
function ForDummiesUtils:spairs( t, xOrder )
	-- collect the keys
    local tKeys = {}
	for strKey in pairs(t) do table.insert(tKeys , strKey) end
	-- sort the keys
	local fSorting
	if type(xOrder) == "string" and string.lower(xOrder) == "desc" then
		fSorting = function(a, b) return a > b end
	elseif type(xOrder) == "function" then
		fSorting = function(a, b) return xOrder(t, a, b) end
	else 
		fSorting = function(a, b) return a < b end
	end
	table.sort(tKeys, fSorting)
	-- return the iterator function
    local i = 0
    return function()
        i = i + 1
        if tKeys[i] then return tKeys[i], t[tKeys[i]] end
    end
end

-- Increment table field function
function ForDummiesUtils:IncrementTable( t, str, n )
	t[str] = t[str] + (n or 1)
	return t[str]
end


-----------------------------------------------------------------------------------------------
-- Register Library
-----------------------------------------------------------------------------------------------
Apollo.RegisterPackage(ForDummiesUtils, "ForDummies:Lib:Utils", 1, {})





